Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.archive.compound
Class ArchiveView

    java.lang.Object
      org.eclipse.birt.core.archive.compound.ArchiveView

All Implemented Interfaces:
  IArchiveFile

    public class ArchiveView

extends java.lang.Object
implements IArchiveFile

Constructor Summary
`ArchiveView(IArchiveFile view, IArchiveFile archive, boolean sharedArchive)`
`ArchiveView(java.lang.String viewName, IArchiveFile archive, java.lang.String viewMode)`
`ArchiveView(java.lang.String viewName, java.lang.String archiveName, java.lang.String viewMode)`

Method Summary
`void` | `close()`
`ArchiveEntry` | `createEntry(java.lang.String name)`
`boolean` | `exists(java.lang.String name)`
`void` | `flush()`
`IArchiveFile` | `getArchive()`
`java.lang.String` | `getDependId()`
`ArchiveEntry` | `getEntry(java.lang.String name)`
`java.lang.String` | `getName()`
`java.lang.String` | `getSystemId()`
`int` | `getUsedCache()`
`IArchiveFile` | `getView()`
`java.util.List` | `listEntries(java.lang.String namePattern)`
`java.lang.Object` | `lockEntry(ArchiveEntry entry)`
`void` | `refresh()`
`boolean` | `removeEntry(java.lang.String name)`
`void` | `setCacheSize(int cacheSize)`
`void` | `unlockEntry(java.lang.Object locker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArchiveView

    public ArchiveView(IArchiveFile view,
                       IArchiveFile archive,
                       boolean sharedArchive)

### ArchiveView

    public ArchiveView(java.lang.String viewName,
                       java.lang.String archiveName,
                       java.lang.String viewMode)
                throws java.io.IOException

Throws:
  `java.io.IOException`

### ArchiveView

    public ArchiveView(java.lang.String viewName,
                       IArchiveFile archive,
                       java.lang.String viewMode)
                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### exists

    public boolean exists(java.lang.String name)

  Specified by:
    `exists` in interface `IArchiveFile`

### getEntry

    public ArchiveEntry getEntry(java.lang.String name)
                          throws java.io.IOException

  Specified by:
    `getEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### listEntries

    public java.util.List listEntries(java.lang.String namePattern)

  Specified by:
    `listEntries` in interface `IArchiveFile`

### lockEntry

    public java.lang.Object lockEntry(ArchiveEntry entry)
                               throws java.io.IOException

  Specified by:
    `lockEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### refresh

    public void refresh()
                 throws java.io.IOException

  Specified by:
    `refresh` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `IArchiveFile`

### getDependId

    public java.lang.String getDependId()

  Specified by:
    `getDependId` in interface `IArchiveFile`

### createEntry

    public ArchiveEntry createEntry(java.lang.String name)
                             throws java.io.IOException

  Specified by:
    `createEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `IArchiveFile`

### getUsedCache

    public int getUsedCache()

  Specified by:
    `getUsedCache` in interface `IArchiveFile`

### removeEntry

    public boolean removeEntry(java.lang.String name)
                        throws java.io.IOException

  Specified by:
    `removeEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### setCacheSize

    public void setCacheSize(int cacheSize)

  Specified by:
    `setCacheSize` in interface `IArchiveFile`

### unlockEntry

    public void unlockEntry(java.lang.Object locker)
                     throws java.io.IOException

  Specified by:
    `unlockEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### getArchive

    public IArchiveFile getArchive()

### getView

    public IArchiveFile getView()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.